unit EarthAboutFrm;

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,
  ShellApi,{WWW Links}
  jpeg, pngimage, {the images}
  ExtCtrls, Buttons, StdCtrls;

type
  TAboutForm = class(TForm)
    Memo1: TMemo;
    GlsImage: TImage;
    CloseBitBtn: TBitBtn;
    DelphiButton: TSpeedButton;
    CRSImage: TImage;
    oglImage: TImage;
    Image2: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CRSImageClick(Sender: TObject);
    procedure oglImageClick(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure DelphiButtonClick(Sender: TObject);
    procedure GlsImageClick(Sender: TObject);
    procedure CloseBitBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

uses HoloGlobals, HoloAbout;

{$R *.DFM}

procedure TAboutForm.FormCreate(Sender: TObject);
begin
  left := AboutFormX;
  top := AboutFormY;
end;

procedure TAboutForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  AboutFormX := AboutForm.left;
  AboutFormY := AboutForm.top;
end;

procedure TAboutForm.CloseBitBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TAboutForm.CRSImageClick(Sender: TObject);
begin
  ShellExecute(0, 'open',
    'http://www.caperaven.co.za/index.htm', '', '', SW_SHOW);
end;

procedure TAboutForm.oglImageClick(Sender: TObject);
begin
  ShellExecute(0, 'open',
    'http://www.opengl.org/', '', '', SW_SHOW);
end;

procedure TAboutForm.Image2Click(Sender: TObject);
begin
  AboutHolographics.showmodal;
end;

procedure TAboutForm.DelphiButtonClick(Sender: TObject);
begin
  ShellExecute(0, 'open',
    'http://www.borland.com/delphi/', '', '', SW_SHOW);
end;

procedure TAboutForm.GlsImageClick(Sender: TObject);
begin
  ShellExecute(0, 'open',
    'http://www.glscene.org/', '', '', SW_SHOW);
end;



end.
