unit EarthLocationsFrm;
{Only things INTERACTIVE with the GLS 3D Display
  need to be on the same page as it

To make this 'fit' into a tabsheet on main page
the stuff on the right side:
   Open,Save,Print and Memo would be on another 'page'

the stuff on the left would be divided into
 left and right sides with its own memo

The Earthform Main page People Display would be the 'front page'
It could be divided into 2 pages or not.. maybe 1 ..wider

The Planet maker (ABCDE) could be another page}

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,
  GLTexture,
  StdCtrls, Buttons, ComCtrls, ExtCtrls;

type
  TEarthLocationsForm = class(TForm)
    Panel1: TPanel;
    OkBitBtn: TBitBtn;
    CancelBitBtn: TBitBtn;
    sDateEdit: TEdit;
    Label7: TLabel;
    Label6: TLabel;
    LatitudeEdit: TEdit;
    Label5: TLabel;
    LongitudeEdit: TEdit;
    Label4: TLabel;
    CountryEdit: TEdit;
    Label3: TLabel;
    CityEdit: TEdit;
    Label2: TLabel;
    NameEdit: TEdit;
    Label1: TLabel;
    Label8: TLabel;
    iTypeCB: TComboBox;
    AddtoTypeBtn: TSpeedButton;
    ColorPanel: TPanel;
    TypeEdit: TEdit;
    Panel2: TPanel;
    RichEdit1: TRichEdit;
    ColorDialog1: TColorDialog;
    Panel3: TPanel;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    PrintBtn: TSpeedButton;
    ResetDefaultsBtn: TSpeedButton;
    SaveListBtn: TSpeedButton;
    SaveColorsBtn: TSpeedButton;
    NickNameEdit: TEdit;
    Label9: TLabel;
    EMailEdit: TEdit;
    Label10: TLabel;
    UrlEdit: TEdit;
    Label11: TLabel;
    DemoNameEdit: TEdit;
    Label12: TLabel;
    Label13: TLabel;
    sDOBDateEdit: TEdit;
    Label14: TLabel;
    TypeNameEdit: TEdit;
    Label15: TLabel;
    StateEdit: TEdit;
    Label16: TLabel;
    ClearMemoBtn: TSpeedButton;
    Label17: TLabel;
    GlowTrackBar: TTrackBar;
    PhotoEdit: TEdit;
    Label18: TLabel;
    OpenDialog1: TOpenDialog;
    PhotoBtn: TSpeedButton;
    HelpBtn: TSpeedButton;
    WordWrapCB: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure OkBitBtnClick(Sender: TObject);
    procedure OpenBtnClick(Sender: TObject);
    procedure WordWrapCBClick(Sender: TObject);    
    procedure SaveBtnClick(Sender: TObject);
    procedure PrintBtnClick(Sender: TObject);
    procedure AddtoTypeBtnClick(Sender: TObject);
procedure SaveTypeList;
procedure SaveColors;
    procedure ColorPanelClick(Sender: TObject);
    procedure ResetDefaultsBtnClick(Sender: TObject);
    procedure SaveListBtnClick(Sender: TObject);
    procedure SaveColorsBtnClick(Sender: TObject);
    procedure PhotoBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EarthLocationsForm: TEarthLocationsForm;

implementation
uses EarthFrm, HoloGlobals;
{$R *.DFM}

procedure TEarthLocationsForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
{}
end;

procedure TEarthLocationsForm.FormCreate(Sender: TObject);
var
  S : string;
  F : TextFile;
begin
  AssignFile(F,EarthDataPath+'HoloLocoList.txt');
  Reset(F);
  try
    iTypeCB.Clear;
    EarthForm.iTypeCB.Clear;
    while not eof(F) do
    begin
      Readln(F,S);
      {Delete the >Color part... or leave it as 'hint'
      If pos('>',S)>0 then
      S:=Copy(S,0,pos('>',S)-1);}
      iTypeCB.Items.Add(S);
      EarthForm.iTypeCB.Items.Add(S);
    end;
  finally
    CloseFile(F);
    iTypeCB.ItemIndex:=0;
    EarthForm.iTypeCB.ItemIndex:=0;
  end;//finally
end;


procedure TEarthLocationsForm.AddtoTypeBtnClick(Sender: TObject);
begin
  {iTypeCB   TypeEdit.Text    ColorPanel.Color}
  iTypeCB.Items.Add(TypeEdit.Text);
  Inc(ColorIndex);
  SetLength(DotColorArray,ColorIndex+1);     {GLTexture}
  DotColorArray[ColorIndex]:=ConvertWinColor(ColorPanel.Color);
  Application.ProcessMessages;
  SaveTypeList;
  SaveColors;
end;
procedure TEarthLocationsForm.SaveTypeList;
var  {HoloLocoList.txt}
  F :TextFile;
  i : integer;
  sType : string;
begin     {iTypeCB   TypeEdit.Text    ColorPanel.Color}
  AssignFile(F,EarthDataPath+'HoloLocoList.txt');
  Rewrite(F);
  try
    For I:= 0 to iTypeCB.items.Count- 1 do
    begin
      sType:=  iTypeCB.items[I];
      Writeln(F,sType);
    end;
  finally
    CloseFile(F);
  end;//finally
end;

procedure TEarthLocationsForm.SaveColors;
var {HoloLocoColors.txt}
  F :TextFile;
  i : integer;
  scolor : string;
begin
  AssignFile(F,EarthDataPath+'HoloLocoColors.txt');
  Rewrite(F);
  try
    For I:= 0 to ColorIndex do
    begin
      scolor:= inttostr(ConvertColorVector(DotColorArray[I]));
      Writeln(F,scolor);
    end;
  finally
    CloseFile(F);
  end;//finally
end;



{Add to List AND Save}
procedure TEarthLocationsForm.OkBitBtnClick(Sender: TObject);
var
  F:TextFile;
  Lat,Lon:single;
  byteType,byteType2 : byte;
  sDateFormat,
    sName, sNickName, sCity, sState, sCountry,sPhoto,
    sEMail, sUrl, sDemoName, sTypeName, sDescription,
  sDateGLS,sDateDOB,sWhoWhereFormat : string;
  mp : TMarkerPosition;
  {iIndex : integer;}
begin
  AssignFile(F,EarthDataPath+'HoloLoco.txt');
    Append(f);
    try
      Writeln(F);{End the last one ?}
      {makes the date read right.. ignored later...}
      sDateFormat := ShortDateFormat; // save it
      ShortDateFormat := 'dd/mm/yyyy';
      mp := Tmarkerposition.Create;
      {inc(markerIndex);} {now or later}
      markers.AddObject(IntToStr(markerIndex),mp);
      with TMarkerPosition(markers.Objects[markerIndex]) do
      begin
        If Length(LatitudeEdit.Text)= 0 then
           LatitudeEdit.Text:='0';
        Lat := Strtofloat(LatitudeEdit.Text);
        Latitude := Lat;
        If Length(LongitudeEdit.Text)= 0 then
           LongitudeEdit.Text:='0';
        Lon := Strtofloat(LongitudeEdit.Text);
        Longitude := Lon;
        byteType :=iTypeCB.ItemIndex;// Strtoint(iTypeEdit.Text);
        MemberType := byteType;
        byteType2 :=GlowTrackBar.Position;
        Glow := byteType2;
{     fLatitude : single;       ptsLocations         ptsFlashLocations
    fLongitude : single;
    fmembertype, fGlow  : byte; // 0..255
    fTypeName, fName, fNickName, fCity, fState, fCountry: String;
    fDateAdded, fDateDOB: TDate;
    fEMail, fUrl, fDemoName,  fDescription: String;}
        If Length(TypeNameEdit.Text)= 0 then
           TypeNameEdit.Text:=' ';
        sTypeName :=TypeNameEdit.Text;
        TypeName:=sTypeName;
        If Length(NameEdit.Text)= 0 then
           NameEdit.Text:=' ';
        sName :=NameEdit.Text;
        Name:=sName;
        If Length(NickNameEdit.Text)= 0 then
           NickNameEdit.Text:=' ';
        sNickName :=NickNameEdit.Text;
        NickName:=sNickName;
        If Length(CityEdit.Text)= 0 then
           CityEdit.Text:=' ';
        sCity :=CityEdit.Text;
        City:=sCity;
        If Length(StateEdit.Text)= 0 then
           StateEdit.Text:=' ';
        sState :=StateEdit.Text;
        State:=sState;
        If Length(CountryEdit.Text)= 0 then
           CountryEdit.Text:=' ';
        sCountry :=CountryEdit.Text;
        Country:=sCountry;
        If Length(sDateEdit.Text)= 0 then
           sDateEdit.Text:=Datetostr(Now);
        sDateGLS :=sDateEdit.Text;// StrToDate(Trim(sDate));
        DateAdded := StrToDate(Trim(sDateGLS));
        If Length(sDOBDateEdit.Text)= 0 then
           sDOBDateEdit.Text:=Datetostr(Now);
        sDateDOB :=sDOBDateEdit.Text;
        DateDOB := StrToDate(Trim(sDateDOB));
        If Length(PhotoEdit.Text)= 0 then
           PhotoEdit.Text:=' ';
        sPhoto :=PhotoEdit.Text;
        Photo:=sPhoto;
        If Length(EMailEdit.Text)= 0 then
           EMailEdit.Text:=' ';
        sEMail :=EMailEdit.Text;
        EMail:=sEMail;
        If Length(UrlEdit.Text)= 0 then
           UrlEdit.Text:=' ';
        sUrl :=UrlEdit.Text;
        Url:=sUrl;
        If Length(DemoNameEdit.Text)= 0 then
           DemoNameEdit.Text:=' ';
        sDemoName :=DemoNameEdit.Text;
        DemoName:=sDemoName;
        sDescription :=RichEdit1.Text;
        If Length(sDescription)= 0 then
           sDescription:=' ';
        Description:=sDescription;

        sWhoWhereFormat:=
        LongitudeEdit.Text +' '+
        LatitudeEdit.Text +' '+
        inttostr(byteType) +' '+
        inttostr(byteType2)+' '+
        sTypeName+','+
        sName+','+ sNickName+','+
        sCity+','+ sState+','+ sCountry+','+
        sDateGLS+','+sDateDOB+','+ sPhoto+','+
        sEMail+','+ sUrl+','+ sDemoName+','+sDescription;
        Writeln(F,{Lon,Lat,byteType,byteType2,}sWhoWhereFormat);
        Flush(f);{MAKE it write NOW}
      end;
      inc(markerIndex);
  finally
    CloseFile(F);
  end;//finally
  ShortDateFormat := sDateFormat;
end;

procedure TEarthLocationsForm.OpenBtnClick(Sender: TObject);
begin
  RichEdit1.Lines.LoadFromFile(EarthDataPath+'HoloLoco.txt');
end;
procedure TEarthLocationsForm.WordWrapCBClick(Sender: TObject);
begin
  RichEdit1.WordWrap:= WordWrapCB.Checked;
end;
procedure TEarthLocationsForm.SaveBtnClick(Sender: TObject);
begin
  RichEdit1.Lines.SavetoFile(EarthDataPath+'HoloLoco.txt');
end;

procedure TEarthLocationsForm.PrintBtnClick(Sender: TObject);
begin
  RichEdit1.Print(EarthDataPath+'HoloLoco.txt');
end;



procedure TEarthLocationsForm.ColorPanelClick(Sender: TObject);
begin
  ColorDialog1.Color:= ColorPanel.Color;
  if ColorDialog1.Execute then
  ColorPanel.Color := ColorDialog1.Color;
end;

procedure TEarthLocationsForm.ResetDefaultsBtnClick(Sender: TObject);
begin
  ColorIndex:=7;
    SetLength(DotColorArray,ColorIndex+1);
    DotColorArray[0]:=clrSilver;
    DotColorArray[1]:=clrMandarinOrange;
    DotColorArray[2]:=clrYellow;
    DotColorArray[3]:=clrBlue;
    DotColorArray[4]:=clrRed;
    DotColorArray[5]:=clrPurple;
    DotColorArray[6]:=clrLime;
    DotColorArray[7]:=clrFlesh;
    iTypeCB.Clear;
    iTypeCB.Items.Add('0: Undecided Dabbler [clrSilver]');
    iTypeCB.Items.Add('1: GLS Developer [clrMandarinOrange]');
    iTypeCB.Items.Add('2: Content Creator [clrYellow]');
    iTypeCB.Items.Add('3: Game Developer FPS [clrBlue]');
    iTypeCB.Items.Add('4: Game Developer RTS Sims [clrRed]');
    iTypeCB.Items.Add('4: VR Simulation [clrPurple]');
    iTypeCB.Items.Add('6: Scientific Visualization [clrLime]');
    iTypeCB.Items.Add('7: Others [clrFlesh]');
    iTypeCB.Itemindex:=0;
    EarthForm.iTypeCB.Clear;
    {EarthForm.iTypeCB.Items.Add(S);}
    EarthForm.iTypeCB.Items:=iTypeCB.Items;
    EarthForm.iTypeCB.ItemIndex:=0;
end;

procedure TEarthLocationsForm.SaveListBtnClick(Sender: TObject);
begin
  SaveTypeList;
end;

procedure TEarthLocationsForm.SaveColorsBtnClick(Sender: TObject);
begin
  SaveColors;
end;

procedure TEarthLocationsForm.PhotoBtnClick(Sender: TObject);
begin
  OpenDialog1.InitialDir:=EarthPhotoPath;
  if OpenDialog1.Execute then
  begin
    EarthPhotoPath:=OpenDialog1.InitialDir;
    PhotoEdit.Text:= ExtractFileName(OpenDialog1.FileName);
  end;
end;

procedure TEarthLocationsForm.HelpBtnClick(Sender: TObject);
begin
  Application.HelpContext(1300);
end;



end.
